#include <stdio.h>
#include <stdlib.h>

void error_exit(char *me, char *msg)
{
  fprintf(stderr, "%s: %s\n", me, msg);
  exit(1);
}

int main(int argc, char *argv[])
{
  char msg[64];

  if (argc == 1+1) {
#if defined(UNSAFE)
    sprintf(msg, "Illegal option(%s)", argv[1]);
#else
    /*sprintf(msg, "Illegal option(%.*s)", (int)sizeof(msg)-(16+1), argv[1]);*/
    snprintf(msg, sizeof(msg), "Illegal option(%s)", argv[1]);
#endif
    error_exit(argv[0], msg);
  }
  return 0;
}
